class WelcomeController
Controller for the Standard profile welcome page.
Hierarchy
- class \Drupal\Core\Controller\ControllerBase implements \Drupal\Core\DependencyInjection\ContainerInjectionInterface uses \Drupal\Core\DependencyInjection\AutowireTrait, \Drupal\Core\Logger\LoggerChannelTrait, \Drupal\Core\Messenger\MessengerTrait, \Drupal\Core\Routing\RedirectDestinationTrait, \Drupal\Core\StringTranslation\StringTranslationTrait
- class \Drupal\standard\Controller\WelcomeController extends \Drupal\Core\Controller\ControllerBase
Expanded class hierarchy of WelcomeController
File
-
core/
profiles/ standard/ src/ Controller/ WelcomeController.php, line 12
Namespace
Drupal\standard\ControllerView source
class WelcomeController extends ControllerBase {
/**
* Controls access to the welcome page.
*/
public function access(AccountInterface $account) : AccessResult {
// Older sites will not have this install-time flag set.
return AccessResult::allowedIf((bool) \Drupal::state()->get('standard.show_welcome', FALSE));
}
/**
* Returns the welcome page render array.
*
* @return array
* A render array containing the welcome page content.
*/
public function welcome() : array {
return [
'#theme' => 'standard_welcome_page',
'#attached' => [
'library' => [
'standard/welcome_page',
],
],
];
}
}
Members
| Title Sort descending | Modifiers | Object type | Summary | Overrides |
|---|---|---|---|---|
| AutowiredInstanceTrait::createInstanceAutowired | public static | function | Instantiates a new instance of the implementing class using autowiring. | |
| AutowiredInstanceTrait::getAutowireArguments | private static | function | Resolves arguments for a method using autowiring. | |
| AutowireTrait::create | public static | function | Instantiates a new instance of the implementing class using autowiring. | 126 |
| ControllerBase::$configFactory | protected | property | The configuration factory. | |
| ControllerBase::$currentUser | protected | property | The current user service. | 2 |
| ControllerBase::$entityFormBuilder | protected | property | The entity form builder. | |
| ControllerBase::$entityTypeManager | protected | property | The entity type manager. | |
| ControllerBase::$formBuilder | protected | property | The form builder. | |
| ControllerBase::$keyValue | protected | property | The key-value storage. | 1 |
| ControllerBase::$languageManager | protected | property | The language manager. | 1 |
| ControllerBase::$moduleHandler | protected | property | The module handler. | 1 |
| ControllerBase::$stateService | protected | property | The state service. | |
| ControllerBase::cache | protected | function | Returns the requested cache bin. | |
| ControllerBase::config | protected | function | Retrieves a configuration object. | |
| ControllerBase::container | private | function | Returns the service container. | |
| ControllerBase::currentUser | protected | function | Returns the current user. | 2 |
| ControllerBase::entityFormBuilder | protected | function | Retrieves the entity form builder. | |
| ControllerBase::entityTypeManager | protected | function | Retrieves the entity type manager. | |
| ControllerBase::formBuilder | protected | function | Returns the form builder service. | |
| ControllerBase::keyValue | protected | function | Returns a key/value storage collection. | 1 |
| ControllerBase::languageManager | protected | function | Returns the language manager service. | 1 |
| ControllerBase::moduleHandler | protected | function | Returns the module handler. | 1 |
| ControllerBase::redirect | protected | function | Returns a redirect response object for the specified route. | |
| ControllerBase::state | protected | function | Returns the state storage service. | |
| LoggerChannelTrait::$loggerFactory | protected | property | The logger channel factory service. | |
| LoggerChannelTrait::getLogger | protected | function | Gets the logger for a specific channel. | |
| LoggerChannelTrait::setLoggerFactory | public | function | Injects the logger channel factory. | |
| MessengerTrait::$messenger | protected | property | The messenger. | 27 |
| MessengerTrait::messenger | public | function | Gets the messenger. | 27 |
| MessengerTrait::setMessenger | public | function | Sets the messenger. | |
| RedirectDestinationTrait::$redirectDestination | protected | property | The redirect destination service. | 2 |
| RedirectDestinationTrait::getDestinationArray | protected | function | Prepares a 'destination' URL query parameter for use with \Drupal\Core\Url. | |
| RedirectDestinationTrait::getRedirectDestination | protected | function | Returns the redirect destination service. | |
| RedirectDestinationTrait::setRedirectDestination | public | function | Sets the redirect destination service. | |
| StringTranslationTrait::$stringTranslation | protected | property | The string translation service. | 3 |
| StringTranslationTrait::formatPlural | protected | function | Formats a string containing a count of items. | |
| StringTranslationTrait::getNumberOfPlurals | protected | function | Returns the number of plurals supported by a given language. | |
| StringTranslationTrait::getStringTranslation | protected | function | Gets the string translation service. | |
| StringTranslationTrait::setStringTranslation | public | function | Sets the string translation service to use. | 2 |
| StringTranslationTrait::t | protected | function | Translates a string to the current language or to a given language. | 1 |
| WelcomeController::access | public | function | Controls access to the welcome page. | |
| WelcomeController::welcome | public | function | Returns the welcome page render array. |
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.